## To build:

``` <!---sh-->
    make all
```

There is an alternate version for those with a compiler that support
`-traditional-cpp`. See [Alternate code](#alternate-code) below.


## To use:

``` <!---sh-->
    ./wall
```


## Alternate code:

This version is the original but which can be used if you have a compiler that
supports the `-traditional-cpp` option.


### Alternate build:

``` <!--sh-->
        make alt
```


### Alternate use:

Use `wall.alt` as you would `wall` above.


## Judges' remarks:

The original version did not have a ';' character in the first line.
This caused a number of System V C pre-preprocessors to gripe about a
syntax error.

This program is a masterpiece of obfuscation and humor.  Larry Wall (the hacker
who gave us [rn](https://en.wikipedia.org/wiki/Rn_&lpar;newsreader&rpar;) and
[patch](https://en.wikipedia.org/wiki/Patch_&lpar;Unix&rpar;), etc.) asks you to compile and
consider the warning message generated by the C compiler.  Then execute the
program and type characters into its standard input.  You will see why the
compiler documents the program.


## Author's remarks:

No remarks were provided by the author.


<!--

    Copyright © 1984-2024 by Landon Curt Noll. All Rights Reserved.

    You are free to share and adapt this file under the terms of this license:

        Creative Commons Attribution-ShareAlike 4.0 International (CC BY-SA 4.0)

    For more information, see:

        https://creativecommons.org/licenses/by-sa/4.0/

-->
